#ifndef CIRCULAR_BUFFER_H
#define CIRCULAR_BUFFER_H

#define BUFFER_SIZE 10

typedef struct {
	int buffer[BUFFER_SIZE];
	int BufHead;
	int BufTail;
} CircularBuffer;

void initializeBuffer(CircularBuffer* cb);
int BufferEmpty(const CircularBuffer* cb);
int BufferFull(const CircularBuffer* cb);
void writeBuffer(CircularBuffer* cb, int value);
int readBuffer(CircularBuffer* cb);

#endif /* CIRCULAR_BUFFER_H */
